com.amazonaws.jmespath

## Class JmesPathLengthFunction

- java.lang.Object
- - com.amazonaws.jmespath.JmesPathFunction
  - - com.amazonaws.jmespath.JmesPathLengthFunction

All Implemented Interfaces:
  JmesPathExpression

    public class JmesPathLengthFunction
    extends JmesPathFunction

Class definition for length function that determines the length of the given argument

### Constructor Summary

Constructors
Constructor and Description
`JmesPathLengthFunction(JmesPathExpression... expressions)`
`JmesPathLengthFunction(List<JmesPathExpression> arguments)` Constructs a new JmesPathContainsFunction with the given list of arguments to be evaluated

### Method Summary

All Methods Instance Methods Concrete Methods
`com.fasterxml.jackson.databind.JsonNode` `evaluate(List<com.fasterxml.jackson.databind.JsonNode> evaluatedArgs)` Evaluates the length of the given argument.

### Methods inherited from class com.amazonaws.jmespath.JmesPathFunction

`accept, getExpressions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JmesPathLengthFunction

    public JmesPathLengthFunction(JmesPathExpression... expressions)

#### JmesPathLengthFunction

    public JmesPathLengthFunction(List<JmesPathExpression> arguments)

Constructs a new JmesPathContainsFunction with the given list of arguments to be evaluated

Parameters:
  `arguments` - List of arguments

### Method Detail

#### evaluate

    public com.fasterxml.jackson.databind.JsonNode evaluate(List<com.fasterxml.jackson.databind.JsonNode> evaluatedArgs)
                                                     throws InvalidTypeException

Evaluates the length of the given argument.

Specified by:
  `evaluate` in class `JmesPathFunction`
Parameters:
  `evaluatedArgs` - List of expressions to be evaluated. Can be a string, array or object
Returns:
  Length of the argument
Throws:
  `InvalidTypeException`